<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>LibArch: src/lib_cachecfg.h File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">LibArch
   </div>
   <div id="projectbrief">Library architecture and framework</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../files.html"><span>File&#160;List</span></a></li>
      <li><a href="../../globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Macros</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">lib_cachecfg.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="../../d3/d2c/lib__cachecfg_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga2e6fd05c3ca05c5fda056c53f1b0e583"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d7c/group__libarch__cachecfg.html#ga2e6fd05c3ca05c5fda056c53f1b0e583">LIB_CACHE_SUCCESS</a>&#160;&#160;&#160;(0)</td></tr>
<tr class="separator:ga2e6fd05c3ca05c5fda056c53f1b0e583"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab447a2c2ef93390a4ae137b80fc575a9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d7c/group__libarch__cachecfg.html#gab447a2c2ef93390a4ae137b80fc575a9">LIB_CACHE_ERROR</a>&#160;&#160;&#160;(-1)</td></tr>
<tr class="separator:gab447a2c2ef93390a4ae137b80fc575a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gad97b5b052a148beb2ceafd5264049734"><td class="memItemLeft" align="right" valign="top">static void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d7c/group__libarch__cachecfg.html#gad97b5b052a148beb2ceafd5264049734">lib_get_L1D_SRAM_base</a> ()</td></tr>
<tr class="memdesc:gad97b5b052a148beb2ceafd5264049734"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function <a class="el" href="../../df/d7c/group__libarch__cachecfg.html#gad97b5b052a148beb2ceafd5264049734" title="Function lib_get_L1D_SRAM_base() returns the base address of the configured L1D SRAM that can be used...">lib_get_L1D_SRAM_base()</a> returns the base address of the configured L1D SRAM that can be used as scratchpad.  <a href="../../df/d7c/group__libarch__cachecfg.html#gad97b5b052a148beb2ceafd5264049734">More...</a><br/></td></tr>
<tr class="separator:gad97b5b052a148beb2ceafd5264049734"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga078718972313d9481ce24aa6620a01a7"><td class="memItemLeft" align="right" valign="top">static void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d7c/group__libarch__cachecfg.html#ga078718972313d9481ce24aa6620a01a7">lib_get_L2_SRAM_base</a> ()</td></tr>
<tr class="memdesc:ga078718972313d9481ce24aa6620a01a7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function <a class="el" href="../../df/d7c/group__libarch__cachecfg.html#ga078718972313d9481ce24aa6620a01a7" title="Function lib_get_L2_SRAM_base() returns the base address of the configured L2 SRAM that can be used a...">lib_get_L2_SRAM_base()</a> returns the base address of the configured L2 SRAM that can be used as scratchpad.  <a href="../../df/d7c/group__libarch__cachecfg.html#ga078718972313d9481ce24aa6620a01a7">More...</a><br/></td></tr>
<tr class="separator:ga078718972313d9481ce24aa6620a01a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6771320bcc11145aba7c8ac3d960cee7"><td class="memItemLeft" align="right" valign="top">static int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d7c/group__libarch__cachecfg.html#ga6771320bcc11145aba7c8ac3d960cee7">lib_get_L1D_total_size</a> ()</td></tr>
<tr class="memdesc:ga6771320bcc11145aba7c8ac3d960cee7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function <a class="el" href="../../df/d7c/group__libarch__cachecfg.html#ga6771320bcc11145aba7c8ac3d960cee7" title="Function lib_get_L1D_total_size() returns the total size of L1D. ">lib_get_L1D_total_size()</a> returns the total size of L1D.  <a href="../../df/d7c/group__libarch__cachecfg.html#ga6771320bcc11145aba7c8ac3d960cee7">More...</a><br/></td></tr>
<tr class="separator:ga6771320bcc11145aba7c8ac3d960cee7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga36b0570810554cc39ca3edd82fbff7c4"><td class="memItemLeft" align="right" valign="top">static int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d7c/group__libarch__cachecfg.html#ga36b0570810554cc39ca3edd82fbff7c4">lib_get_L2_total_size</a> ()</td></tr>
<tr class="memdesc:ga36b0570810554cc39ca3edd82fbff7c4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function lib_get_L1D_SRAM_size() returns the size of the configured L1D SRAM that can be used as scratchpad.  <a href="../../df/d7c/group__libarch__cachecfg.html#ga36b0570810554cc39ca3edd82fbff7c4">More...</a><br/></td></tr>
<tr class="separator:ga36b0570810554cc39ca3edd82fbff7c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3380d4452c454d398a64256c8eeed723"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d7c/group__libarch__cachecfg.html#ga3380d4452c454d398a64256c8eeed723">lib_L1D_config_SRAM</a> (size_t size_SRAM)</td></tr>
<tr class="memdesc:ga3380d4452c454d398a64256c8eeed723"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function lib_get_L2_SRAM_size() returns the size of the configured L2 SRAM that can be used as scratchpad.  <a href="../../df/d7c/group__libarch__cachecfg.html#ga3380d4452c454d398a64256c8eeed723">More...</a><br/></td></tr>
<tr class="separator:ga3380d4452c454d398a64256c8eeed723"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga529504ec5196118f6fc9d744b6209d61"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d7c/group__libarch__cachecfg.html#ga529504ec5196118f6fc9d744b6209d61">lib_L2_config_SRAM</a> (size_t size_SRAM)</td></tr>
<tr class="memdesc:ga529504ec5196118f6fc9d744b6209d61"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function <a class="el" href="../../df/d7c/group__libarch__cachecfg.html#ga529504ec5196118f6fc9d744b6209d61" title="Function lib_L2_config_SRAM() configures L2 to have desired SRAM size. ">lib_L2_config_SRAM()</a> configures L2 to have desired SRAM size.  <a href="../../df/d7c/group__libarch__cachecfg.html#ga529504ec5196118f6fc9d744b6209d61">More...</a><br/></td></tr>
<tr class="separator:ga529504ec5196118f6fc9d744b6209d61"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Mar 6 2017 14:10:51 for LibArch by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="../../doxygen.png" alt="doxygen"/>
</a> 1.8.6
</small></address>
</body>
</html>
